%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Cwd.pm) perl(Data/Dump.pm) perl(Date/Parse.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/Spec.pm) perl(FormValidator/Simple.pm) perl(Getopt/Lucid.pm) perl(Module/Build.pm) perl(Net/Jabber.pm) perl(Net/XMPP.pm) perl(Net/XMPP/JID.pm) perl(NetAddr/IP.pm) perl(Object/InsideOut.pm) perl(POE.pm) perl(POE/Component/Child.pm) perl(Params/Validate.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/Builder/Module.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(Text/ParseWords.pm) perl(XML/Simple.pm) perl(YAML.pm) perl(YAML/Syck.pm)
# END SourceDeps(oneline)
%define module_version 0.032
%define module_name Agent-TCLI
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.032
Release: alt1
Summary: Transactional Contextual Line Interface Agent
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HA/HACKER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
TCLI is an acronym for Transactional Contextual command Line
Interface. Optionally it may stand for Tester's Command Line
Interface.

TCLI supports the writing of agents (Agents) that interact with their
host operating system or the network with a current focus on
supporting functional testing.

TCLI supports the writing of TAP compliant http://testanything.org/ test
scripts that control the agents. The tests pass or fail depending on
the responses from the agents.

TCLI is designed to be network protocol agnostic. It currently
supports a Jabber/XMPP Transport as a module that ships with the
core. An HTTP transport is planned. Transports may support both a
human interface (the CLI) and an RPC interface. The RPC interface
supports the testing capability, but could also be used to interact
in a client server like manner with a GUI or other application.

TLCI is designed to allow new commands to be added
through additional modules in collections called packages.
TCLI attempts to make writing these
modules easier by providing Base classes that offer much of the
needed functionality to support the standardized, easy to learn human
interface. The goal is to allow users to add new functionality without
having then spend a lot of time learning the particular syntax of a
new tool.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*
%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.032-alt1
- initial import by package builder

